Swagger::BodyParameter Class Reference

AbstractParameterObject specialization for `"body"` parameters. More...

Inheritance diagram for Swagger::BodyParameter:
[legend]

## Public Member Functions

| check (bool serialize, bool request, string path, string method, string name, reference value)
| verifies the parameter in an actual REST API call
| constructor (hash oh, SwaggerSchema swagger)
| Constructor. More...
string | getQoreExample (reference< hash< RestQoreExampleCodeInfo >> rv)
| generates Qore example code for a REST API call
Public Member Functions inherited from Swagger::AbstractParameterObject
| constructor (hash oh)
| Constructor. More...
auto | getDefaultValue ()
| returns the default value of the parameter (default: NOTHING)
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash oh)
| Constructor. More...
| constructor (ObjectBase other)
| copy constructor
| initialize (hash oh)
| Initialize. More...

## Public Attributes

SchemaObject | schema
| Required. The schema defining the type used for the body parameter.
Public Attributes inherited from Swagger::AbstractParameterObject
*string | desc
| A brief description of the parameter. This could contain examples of use. GFM syntax can be used for rich text representation.
string | inLoc
| Required. The location of the parameter. More...
string | name
| Required. The name of the parameter. Parameter names are case sensitive. More...
bool | required = False
| Determines whether this parameter is mandatory. More...
Public Attributes inherited from Swagger::ObjectBase
hash | vendorExtensions
| Allows extensions to the Swagger Schema. More...

## Additional Inherited Members

Static Public Member Functions inherited from Swagger::AbstractParameterObject
static AbstractParameterObject | newParameter (string name, hash oh, SwaggerSchema swagger)
| gets a concrete instance of an AbstractParameterObject

## Detailed Description

AbstractParameterObject specialization for `"body"` parameters.

## Member Function Documentation

## constructor()

Swagger::BodyParameter::constructor | ( | hash | oh,
|  | SwaggerSchema | swagger
| ) |  |

Constructor.

Parameters

  oh | deserialized hash from the source schema description describing a body parameter
  swagger | the REST schema for resolving references

Exceptions

  INVALID-FIELD-TYPE | field has invalid type
  REQUIRED-FIELD-MISSING | required field is missing